Subject: bug#23771: Eliminating compiler warnings

From: Ken Brown <[email-masked]>
Date: Wed, 22 Jun 2016 10:06:23 -0400

On 6/21/2016 9:12 PM, Paul Eggert wrote:
> Thanks for all the work in improving static checking for Cygwin builds.
> I just now checked the attached patch into master, which I hope improves
> on it. I tested it on Fedora (both with and without window systems).

Thanks.  That's a big improvement.

> I had one problem with the recent changes, in that they suppressed all
> warnings about jumps over AUTO_STRING calls. That's pretty drastic, as
> the warnings are typically useful, so the attached patch reverts that.
> Can you let me know which call needs the warning suppressed in the
> Cygwin-specific code in the new master? I can suggest something which
> disables the warning just for that call.

It's in line 7057 of w32fns.c.  I see that you fixed a similar warning 
in xfns.c in commit e0400b7 by moving the AUTO_STRING call.  I've just 
done the same thing in commit bbc58fe.

Ken